#include <esp_now.h>
#include <WiFi.h>
#include <esp_wifi.h>

int motor = 17;
int a = 0;

typedef struct test_struct {
  int alarm_sender;
  int alarm_recieve;
} test_struct;
 
void OnDataRecv(const uint8_t * mac, const uint8_t *data, int len) {
   
  test_struct* test =(test_struct*) data;
   
  Serial.println(test->alarm_sender);

  if (test->alarm_sender == 1)
  {
    a = 22;
  }
  else 
  {
    a = 0;
  }
}
 
void setup() {
  Serial.begin(115200);
  WiFi.mode(WIFI_STA);
  pinMode(motor, OUTPUT);

  if (esp_now_init() != ESP_OK) {
    Serial.println("Error initializing ESP-NOW");
    return;
  }
}
 
void loop() {
  esp_now_register_recv_cb(OnDataRecv);
  if (a == 22) {
    digitalWrite(motor, 0);
    delay(1000);
    digitalWrite(motor, 50);
    delay(2000);
  }
  else {
    digitalWrite(motor, 0);
    delay(1000);
    digitalWrite(motor, 00);
    delay(2000);
  }

//  Serial.println(a);
  }
